// ==========================================================================
// USERLIST.MPS
//
// This is a small example program to list all users in the BBS system.  You
// may use this however you would like.  It uses the IPLC syntax which is
// an abbreviated version of the MPL syntax which resembles C and IPL in a
// few ways...
// ==========================================================================

{$syntax iplc}

uses
  user

{
  @ word usercount = 1
  @ byte pausecount

  getthisuser

  pausecount = userscrnsize
  allowpause = true

  clrscr

  writeln ("User listing:");
  writeln ("");

  while getuser(usercount) {
    usercount = usercount + 1

    if bitcheck(1, userflag) continue     // is user marked as deleted?

    writeln (userhandle);

    if allowpause && (mod(usercount, pausecount) == 0)
      switch more {
        "N" : break
        "C" : allowpause = false
      }
  }

  writeln ("")
  writeln (stri2s(usercount - 1) + " user(s) listed")
  pause
}

